Subject: Re: bug#24784: 26.0.50; JSON strings with utf-16 escape codes
From: Philipp Stephani <[email-masked]>
To: Dmitry Gutov <[email-masked]>, Helmut Eller <[email-masked]>, [email-masked]
Date: Sun, 01 Jan 2017 12:26:07 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Dmitry Gutov <[email-masked]> schrieb am So., 1. Jan. 2017 um 01:45 Uhr:

> On 31.12.2016 19:53, Philipp Stephani wrote:
>
> > Agreed; converted to defun. I've only used defsubst because some other
> > helper functions also used defsubst.
>
> Thanks. Those others can probably be changed as well.
>

Yes, but rather not in this commit.

>
> > No, the below case is more general and therefore has to come last.
>
> Makes sense.
>

> > It's not 100% related to the patch, but I think it can be included for
> > symmetry reasons (testing encoding as well as decoding).
>
> Of course. These are testing utf-8 encoding, though, right? It would be
> better if you split them to a separate commit, I think.
>

OK, I've removed it from this patch and pushed it as 93be35e038.